<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RWifiHotspot StructType
 * @subpackage Structs
 */
class RWifiHotspot extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The ssidPrefix
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ssidPrefix;
    /**
     * The userModifiable
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userModifiable;
    /**
     * The frequencyBand
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $frequencyBand;
    /**
     * The authenticationMethod
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $authenticationMethod;
    /**
     * The hostName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 64
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $hostName;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $port;
    /**
     * The sharedSecret
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sharedSecret;
    /**
     * The pskPassPhrase
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pskPassPhrase;
    /**
     * The wepKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $wepKey;
    /**
     * The passwordDescription
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $passwordDescription;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RWifiHotspot
     * @uses RWifiHotspot::setName()
     * @uses RWifiHotspot::setDescription()
     * @uses RWifiHotspot::setSsidPrefix()
     * @uses RWifiHotspot::setUserModifiable()
     * @uses RWifiHotspot::setFrequencyBand()
     * @uses RWifiHotspot::setAuthenticationMethod()
     * @uses RWifiHotspot::setHostName()
     * @uses RWifiHotspot::setPort()
     * @uses RWifiHotspot::setSharedSecret()
     * @uses RWifiHotspot::setPskPassPhrase()
     * @uses RWifiHotspot::setWepKey()
     * @uses RWifiHotspot::setPasswordDescription()
     * @uses RWifiHotspot::setUuid()
     * @param string $name
     * @param string $description
     * @param string $ssidPrefix
     * @param string $userModifiable
     * @param string $frequencyBand
     * @param string $authenticationMethod
     * @param string $hostName
     * @param string $port
     * @param string $sharedSecret
     * @param string $pskPassPhrase
     * @param string $wepKey
     * @param string $passwordDescription
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $ssidPrefix = null, $userModifiable = null, $frequencyBand = null, $authenticationMethod = null, $hostName = null, $port = null, $sharedSecret = null, $pskPassPhrase = null, $wepKey = null, $passwordDescription = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setSsidPrefix($ssidPrefix)
            ->setUserModifiable($userModifiable)
            ->setFrequencyBand($frequencyBand)
            ->setAuthenticationMethod($authenticationMethod)
            ->setHostName($hostName)
            ->setPort($port)
            ->setSharedSecret($sharedSecret)
            ->setPskPassPhrase($pskPassPhrase)
            ->setWepKey($wepKey)
            ->setPasswordDescription($passwordDescription)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get ssidPrefix value
     * @return string|null
     */
    public function getSsidPrefix()
    {
        return $this->ssidPrefix;
    }
    /**
     * Set ssidPrefix value
     * @param string $ssidPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setSsidPrefix($ssidPrefix = null)
    {
        $this->ssidPrefix = $ssidPrefix;
        return $this;
    }
    /**
     * Get userModifiable value
     * @return string|null
     */
    public function getUserModifiable()
    {
        return $this->userModifiable;
    }
    /**
     * Set userModifiable value
     * @param string $userModifiable
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setUserModifiable($userModifiable = null)
    {
        $this->userModifiable = $userModifiable;
        return $this;
    }
    /**
     * Get frequencyBand value
     * @return string|null
     */
    public function getFrequencyBand()
    {
        return $this->frequencyBand;
    }
    /**
     * Set frequencyBand value
     * @param string $frequencyBand
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setFrequencyBand($frequencyBand = null)
    {
        $this->frequencyBand = $frequencyBand;
        return $this;
    }
    /**
     * Get authenticationMethod value
     * @return string|null
     */
    public function getAuthenticationMethod()
    {
        return $this->authenticationMethod;
    }
    /**
     * Set authenticationMethod value
     * @param string $authenticationMethod
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setAuthenticationMethod($authenticationMethod = null)
    {
        $this->authenticationMethod = $authenticationMethod;
        return $this;
    }
    /**
     * Get hostName value
     * @return string|null
     */
    public function getHostName()
    {
        return $this->hostName;
    }
    /**
     * Set hostName value
     * @param string $hostName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setHostName($hostName = null)
    {
        $this->hostName = $hostName;
        return $this;
    }
    /**
     * Get port value
     * @return string|null
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setPort($port = null)
    {
        $this->port = $port;
        return $this;
    }
    /**
     * Get sharedSecret value
     * @return string|null
     */
    public function getSharedSecret()
    {
        return $this->sharedSecret;
    }
    /**
     * Set sharedSecret value
     * @param string $sharedSecret
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setSharedSecret($sharedSecret = null)
    {
        $this->sharedSecret = $sharedSecret;
        return $this;
    }
    /**
     * Get pskPassPhrase value
     * @return string|null
     */
    public function getPskPassPhrase()
    {
        return $this->pskPassPhrase;
    }
    /**
     * Set pskPassPhrase value
     * @param string $pskPassPhrase
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setPskPassPhrase($pskPassPhrase = null)
    {
        $this->pskPassPhrase = $pskPassPhrase;
        return $this;
    }
    /**
     * Get wepKey value
     * @return string|null
     */
    public function getWepKey()
    {
        return $this->wepKey;
    }
    /**
     * Set wepKey value
     * @param string $wepKey
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setWepKey($wepKey = null)
    {
        $this->wepKey = $wepKey;
        return $this;
    }
    /**
     * Get passwordDescription value
     * @return string|null
     */
    public function getPasswordDescription()
    {
        return $this->passwordDescription;
    }
    /**
     * Set passwordDescription value
     * @param string $passwordDescription
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setPasswordDescription($passwordDescription = null)
    {
        $this->passwordDescription = $passwordDescription;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RWifiHotspot
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
